BASENAME(1)

NAZWA
basename - oddziela katalog i przyrostek od nazw plików

SKŁADNIA
basename NAZWA [PRZYROSTEK]
basename OPCJA... NAZWA...

OPIS

Wyświetla NAZWĘ, usuwając wiodące nazwy katalogów, pozostawiając w ten sposób nazwę pliku bez ścieżki. Jeśli podano PRZYROSTEK, jest on także usuwany.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --multiple
    obsługuje wiele argumentów traktując każdy jako NAZWĘ

-s, --suffix=PRZYROSTEK
    usuwa początkowy PRZYROSTEK; implikuje -a

-z, --zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

basename /usr/bin/sort
    -> "sort"

basename include/stdio.h .h
    -> "stdio"

basename -s .h include/stdio.h
    -> "stdio"

basename -a any/str1 any/str2
    -> "str1" po którym występuje "str2"

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
dirname(1), readlink(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/basename>
lub lokalnie, za pomocą info '(coreutils) basename invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.